/*-----------------------------------------------------------------------------------
$Id: myatan2.c,v 1.2 2012/03/06 08:54:23 wolf Exp wolf $
-----------------------------------------------------------------------------------*/

#include <math.h>
#include "myatan2.h"

#define	PI	(3.1415926535)

double
myatan2 (double y, double x) {
	if (y==0.0 && x<0) return PI;
	return 2 * atan ( y / ( x + sqrt (x*x + y*y)) );
}

/*-----------------------------------------------------------------------------------
$Id: myatan2.c,v 1.2 2012/03/06 08:54:23 wolf Exp wolf $
-----------------------------------------------------------------------------------*/
