/*-----------------------------------------------------------------------------------
$Id: test_myatan2.c,v 1.2 2012/03/06 08:54:23 wolf Exp wolf $
-----------------------------------------------------------------------------------*/

/*
**	Verwendet printf(%f)
**
**	Nur zum Test auf der Entwicklungsmaschine, nicht auf dem ARM!
*/

#include <stdio.h>
#include <math.h>
#include "myatan2.h"

/*
**	Vergleiche das Ergebnis von myatan2 mit atan2
*/

static void
test (double y, double x) {
	printf ("y=%6.3f x=%6.3f  ->  %8.5f / %8.5f\n",
		y, x, atan2(y,x), myatan2(y,x));
}

/*
**	Rufe den Test mit verschiedenen Werten auf
*/

int
main (int argn, char** argv) {
	test ( 0.0, 1.0);
	test ( 1.0, 1.0);
	test ( 1.0, 0.0);
	test ( 1.0,-1.0);
	test ( 0.0,-1.0);
	test (-1.0,-1.0);
	test (-1.0, 0.0);
	test (-1.0, 1.0);
	return 0;
}

/*-----------------------------------------------------------------------------------
$Id: test_myatan2.c,v 1.2 2012/03/06 08:54:23 wolf Exp wolf $
-----------------------------------------------------------------------------------*/
